%global dlrn_nvr 15.6.1-1.20201114010908.51a6857
%global dlrn 1
%define upstream_version 15.6.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-nova
Version: 15.6.1
Release: 1.20201114010908.51a6857%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0: 15.6.1-1.20201114010908.51a6857.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=51a68574112310764d330b37f55a0268eb901c0b
Patch0001: 0001-Add-pmem_namespaces-parameter.patch
Patch0002: 0002-Expose-nova-config-option-workaround-never_download_.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Wed Oct 28 2020 Oliver Walsh <owalsh@redhat.com> 15.6.1-1.20200814103356
- Expose nova config option [workaround]/never_download_image_if_on_rbd (rhbz#1886139)
- Add `pmem_namespaces` parameter (rhbz#1834185)

* Fri Aug 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches
- Expose vhost_custom_fragment

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-1
- Update patches

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.6.0-0.1.738ef4fgit
- Update patches

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Prepare for new release 15.6.0

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Fix dependency cycle

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Use systemd units to enable tcp/tls in libvirt

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Add parameter for `query_placement_for_availability_zone`

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Refer keystone_authtoken instead of neutron to detect region

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Prepare for 15.5.0 release in stable/train

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Expose enable_isolated_aggregate_filtering parameter

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Replace removed ironic api_endpoint by endpoint_override

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Expose placement_aggregate_required_for_tenants parameter
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Sun Dec 15 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- vcpu_pin_set gets set under [compute] instead of [DEFAULT]

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Adds --before archive parameter to cron job

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Adds --all-cells to the archive command

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix vcpu_pin_set condition to resolve deployment failure

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host" into stable/train
- Add ability to collocate pinned and unpinned instance on same host

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Include nova::availability_zone in nova::api and nova::conductor

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Don't restart libvirt-guests on config change

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Merge "Switch to Train" into stable/train
- Fix "More than one line in file '/etc/sysconfig/libvirtd' matches pattern" errors
- Switch to Train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0


